# Get Insights Reports

Returns a list of classic Insights reports on your Kantata OX account. When a title is provided, reports that match the title are returned. When a title is not provided, all classic Insights reports on your account are returned.

Endpoint: GET /insights_reports
Version: 1.0.0

## Query parameters:

  - `title` (string)
    Specify the title of the report you would like to find similar matches for.

## Response 200 fields (application/json):

  - `identifier` (string)
    A unique identifier that each Insights report has. This identifier is primarily used by the Insights Report Exports endpoint to schedule exports of Insights reports.

  - `title` (string)
    The title of an Insights report, defined by users.

  - `created_at` (string)
    The date and time a report was last updated.

  - `updated_at` (string)
    The date and time at which a report was created.

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


